package main

import (
	"gitea.com/gpm/cli/cmd"
	"gitea.com/jolheiser/beaver"
	"github.com/urfave/cli/v2"
	"os"
)

var Version = "develop"

func main() {

	// config loads on init

	app := cli.NewApp()
	app.Name = "gpm"
	app.Usage = "Go Package Manager"
	app.Version = Version
	app.Commands = []*cli.Command{
		&cmd.Add,
		&cmd.Remove,
		&cmd.Get,
		&cmd.Export,
	}
	app.Flags = cmd.Flags
	app.EnableBashCompletion = true
	err := app.Run(os.Args)
	if err != nil {
		beaver.Error(err)
	}
}
